# $Revision: 1.12 $, $Date: 2005/01/09 18:22:45 $
%define		pname	StarterBar
Summary:	An icon bar for GNOME
Summary(pl):	Pasek na ikony dla GNOME
Name:		gDesklets-%{pname}
Version:	0.22.1
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	starterbar-desklet-%{version}.tar.bz2
# Source0-md5:	061f147e979dff9860025bfc6c48de9a
URL:		http://www.pycage.de/software_gdesklets.html
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 1.99.14
Requires:	gDesklets >= 0.22
%pyrequires_eq	python-libs
Requires:	python-gnome-vfs
Provides:	gDesklets-display
Provides:	gDesklets-sensor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
An icon bar for GNOME. You can do the same with the GNOME panel, but
this one is pure eye candy.

%description -l pl
Pasek na ikony dla GNOME. Takie moliwoci ma take panel GNOME, ale
ten jest miy dla oka.

%prep
%setup -q -n starterbar-desklet-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sensorsdir},%{_displaysdir}/%{pname}}

./Install_%{pname}_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

cp -R gfx *.display $RPM_BUILD_ROOT%{_displaysdir}/%{pname}

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_sensorsdir}/*
%{_displaysdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-StarterBar.spec,v $
Revision 1.12  2005/01/09 18:22:45  saq
- missing BR epoch and pyreqeq

Revision 1.11  2004/11/03 13:37:11  paladine
- formatting

Revision 1.10  2004/07/23 22:20:07  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 3

Revision 1.9  2004/03/04 22:58:12  krzak
- R: python-gnome-vfs
- rel 2

Revision 1.8  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.7  2003/11/10 21:10:17  krzak
- up to 0.22.1

Revision 1.6  2003/10/27 21:59:48  krzak
- up to 0.21

Revision 1.5  2003/08/30 13:56:09  grzegol
- updated to 0.12

Revision 1.4  2003/08/24 21:39:18  grzegol
- added Provides: gDesklets-display and gDesklets-sensor
- rel. 2

Revision 1.3  2003/08/20 13:42:37  grzegol
- updated to 0.11
- cleanups

Revision 1.2  2003/08/11 17:54:35  ankry
- cosmetics

Revision 1.1  2003/08/11 17:28:40  grzegol
- new
